> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /tag/:uid/config

> Creates a new config under the given publisher



## OpenAPI

````yaml /openapi.json post /v1/tag/{uid}/config
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: Billing
  - name: Billing/Invoice
  - name: '[IN PROGRESS] Integration'
  - name: '[TODO] User'
  - name: '[TODO] User/Account'
  - name: public
paths:
  /v1/tag/{uid}/config:
    post:
      tags:
        - Publisher/Config (Ad unit)
        - public
      summary: /tag/:uid/config
      description: Creates a new config under the given publisher
      parameters:
        - name: uid
          in: path
          description: Publisher ID
          required: true
          example: 0
          schema:
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                audience_filter:
                  type: object
                  properties:
                    matches:
                      type: array
                      items:
                        type: string
                    type:
                      type: string
                browser_filter:
                  type: object
                  properties:
                    matches:
                      type: array
                      items:
                        type: string
                    type:
                      type: string
                device_filter:
                  type: object
                  properties:
                    matches:
                      type: array
                      items:
                        type: string
                    type:
                      type: string
                disable_adhesion_bg:
                  type: boolean
                disable_branding:
                  type: boolean
                floors_model:
                  type: string
                geo_filter:
                  type: object
                  properties:
                    matches:
                      type: array
                      items:
                        type: string
                    type:
                      type: string
                in_view:
                  type: boolean
                limit:
                  type: string
                os_filter:
                  type: object
                  properties:
                    matches:
                      type: array
                      items:
                        type: string
                    type:
                      type: string
                refresh:
                  type: boolean
                region_filter:
                  type: object
                  properties:
                    matches:
                      type: array
                      items:
                        type: string
                    type:
                      type: string
                relocate:
                  type: boolean
                sizes:
                  type: object
                  properties:
                    desktop:
                      type: array
                      items:
                        type: string
                    mobile:
                      type: array
                      items:
                        type: string
                    tablet:
                      type: array
                      items:
                        type: string
                target:
                  type: string
                target_injection:
                  type: string
                unit:
                  type: string
                url_filter:
                  type: object
                  properties:
                    matches:
                      type: array
                      items:
                        type: string
                    type:
                      type: string
                viewport_filter:
                  type: object
                  properties:
                    matches:
                      type: array
                      items:
                        type: string
                    type:
                      type: string
                stack:
                  type: integer
                label:
                  type: string
            examples: {}
        required: true
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: object
                    properties:
                      domain:
                        type: string
                      id:
                        type: integer
                      uid:
                        type: integer
                      label:
                        type: string
                      stack:
                        type: integer
                      config:
                        type: object
                        properties:
                          audience_filter:
                            type: object
                            properties:
                              matches:
                                type: array
                                items:
                                  type: string
                              type:
                                type: string
                            required:
                              - matches
                              - type
                          browser_filter:
                            type: object
                            properties:
                              matches:
                                type: array
                                items:
                                  type: string
                              type:
                                type: string
                            required:
                              - matches
                              - type
                          device_filter:
                            type: object
                            properties:
                              matches:
                                type: array
                                items:
                                  type: string
                              type:
                                type: string
                            required:
                              - matches
                              - type
                          disable_adhesion_bg:
                            type: boolean
                          disable_branding:
                            type: boolean
                          floors_model:
                            type: string
                          geo_filter:
                            type: object
                            properties:
                              matches:
                                type: array
                                items:
                                  type: string
                              type:
                                type: string
                            required:
                              - matches
                              - type
                          in_view:
                            type: boolean
                          limit:
                            type: string
                          os_filter:
                            type: object
                            properties:
                              matches:
                                type: array
                                items:
                                  type: string
                              type:
                                type: string
                            required:
                              - matches
                              - type
                          refresh:
                            type: boolean
                          region_filter:
                            type: object
                            properties:
                              matches:
                                type: array
                                items:
                                  type: string
                              type:
                                type: string
                            required:
                              - matches
                              - type
                          relocate:
                            type: boolean
                          sizes:
                            type: object
                            properties:
                              desktop:
                                type: array
                                items:
                                  type: string
                              mobile:
                                type: array
                                items:
                                  type: string
                              tablet:
                                type: array
                                items:
                                  type: string
                            required:
                              - desktop
                              - mobile
                              - tablet
                          target:
                            type: string
                          target_injection:
                            type: string
                          url_filter:
                            type: object
                            properties:
                              matches:
                                type: array
                                items:
                                  type: string
                              type:
                                type: string
                            required:
                              - matches
                              - type
                          viewport_filter:
                            type: object
                            properties:
                              matches:
                                type: array
                                items:
                                  type: string
                              type:
                                type: string
                            required:
                              - matches
                              - type
                          start:
                            type: string
                            nullable: true
                          end:
                            type: string
                            nullable: true
                          label:
                            type: string
                          unit:
                            type: string
                        required:
                          - audience_filter
                          - browser_filter
                          - device_filter
                          - disable_adhesion_bg
                          - disable_branding
                          - floors_model
                          - geo_filter
                          - in_view
                          - limit
                          - os_filter
                          - refresh
                          - region_filter
                          - relocate
                          - sizes
                          - target
                          - target_injection
                          - url_filter
                          - viewport_filter
                          - start
                          - end
                          - label
                          - unit
                      revision:
                        type: integer
                      date_added:
                        type: string
                      date_updated:
                        type: string
                      status:
                        type: integer
                      in_experiment:
                        type: boolean
                    required:
                      - domain
                      - id
                      - uid
                      - label
                      - stack
                      - config
                      - revision
                      - date_added
                      - date_updated
                      - status
                      - in_experiment
                  success:
                    type: boolean
                required:
                  - results
                  - success
              example:
                results:
                  domain: example.com
                  id: 11598
                  uid: 18620
                  label: Test Config
                  stack: 814
                  config:
                    audience_filter:
                      matches: []
                      type: include
                    browser_filter:
                      matches: []
                      type: include
                    device_filter:
                      matches: []
                      type: include
                    disable_adhesion_bg: false
                    disable_branding: false
                    floors_model: ci_dynamic
                    geo_filter:
                      matches: []
                      type: include
                    in_view: true
                    limit: ''
                    os_filter:
                      matches: []
                      type: include
                    refresh: true
                    region_filter:
                      matches: []
                      type: include
                    relocate: false
                    sizes:
                      desktop:
                        - 728x90
                      mobile:
                        - 320x50
                      tablet:
                        - 728x90
                    target: body
                    target_injection: after
                    url_filter:
                      matches: []
                      type: include
                    viewport_filter:
                      matches: []
                      type: include
                    start: null
                    end: null
                    label: Test Config
                    unit: adhesion
                  revision: 1
                  date_added: '2025-10-29 13:28:19'
                  date_updated: '2025-10-29 13:28:19'
                  status: 0
                  in_experiment: false
                success: true
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````